/* * * * * * * * * * * * * * * * * * * * * */
/*      CSS for Rampton Rockworks Ltd.     */
/*         initial build feb 2009          */
/*   david a taylor / burning fish design  */
/* * * * * * * * * * * * * * * * * * * * * */


/* BROWSER CLEANUP */
body, div, p, ul, ol, li, img, h1, h2, h3 {margin:0;padding:0;border:0;}
	/* Set defaults */
	ul li, ol li {margin-left: 25px;}
	a {text-decoration: none; color: rgb(252,204,62);}
	a:hover, a:active {text-decoration: underline; color: rgb(70,139,172);}
	
/* COMMON STYLES */
h1, h2, h3 {font-weight: normal; font-variant: small-caps;}
h1, h2 {}
h1 {font-size: 30px;}
h2 {font-size: 24px; color: rgb(70,139,172); margin: 18px 0 0 0;}
h3 {font-size: 20px; font-family: arial, helvetica, serif; line-height: 1.2; margin: 18px 0 0 0;}

p {margin: 10px 0;}

.clear {clear: both;}
.left {float:left;}
.right {float:right;}

.inline-orange {color: rgb(252,204,62); display: inline;}
.dropcap {float: left; margin-right: 3px; font-size: 3.5em; line-height: 0.9em;}
.instruction {font-size: 13px; font-style: italic; line-height: 1;}	
.view-example {color: rgb(252,204,62); font-size: 13px; font-style: italic;}

.img-w-caption {text-align: center;}
.caption {font-size: 14px; color: rgb(70,139,172); font-style: italic; margin: 2px 0 0;}
.large-img {border: 2px #fff solid;}

/* BASIC PAGE STRUCTURE - ALL PAGES */
body {background: rgb(70,139,172); font-family: arial, helvetica, serif; color: #fff; line-height: 1.6;}

#main-container {width: 966px; margin: 6px auto 15px;}

/* All Nav */
.nav, .nav ul, .nav li {list-style-type:none; margin: 0;}
.nav li {text-align: center;}
.nav li a {display: block; height: 31px; line-height: 30px;}
.nav li a:hover, .nav li a:active, .nav li.current a {text-decoration:none;}
		
	/* Header */
	#header {width: 937px; height: 128px; background: transparent url(../images/_site-structure/header-bg-gradient.gif) top right no-repeat; line-height: 1; position: relative; z-index: 10;}
	#header h1 {float: left;}
	#header #header-logo {width:169px; height: 128px;}
	#header #header-title {width:536px; margin: 31px 0 0 32px;}
	#header h1 img {display: block;}
		
		/* Main Nav */
		#top-nav {float: left; width:766px; height:35px; margin-top: 10px; padding-bottom: 5px; line-height: 30px; font-size: 17px; background: rgb(64,64,64) url(../images/_site-structure/main-nav-full-bg.gif) top left repeat-x; border-right: 1px solid rgb(87,87,87); position: relative;}
		#top-nav li {float: left; border-right: 1px solid rgb(118,192,230); background: transparent url(../images/_site-structure/main-nav-gradient-active.gif) top left repeat-x;}
		#top-nav li a {float: left; padding: 0 23px; border-right: 1px solid rgb(87,87,87); color: rgb(252,204,62); background: transparent url(../images/_site-structure/main-nav-gradient.gif) top left repeat-x;}
		#top-nav li.services-li a {border-left: 1px solid rgb(100,178,216);}		
		#top-nav li a:hover, #top-nav li a:active, #top-nav li.current a {background-image: none;}
		#top-nav li a:active {color: #fff;}
		
			/* dropdowns */
		#top-nav li.top-level ul, #top-nav li.top-level ul li, #top-nav li.top-level ul li a {margin:0; padding:0; text-align: left; line-height: 1; color: rgb(252,204,62);}
		#top-nav li.top-level ul {position: absolute; top: 31px; left: 273px; font-size: 13px; text-transform: capitalize; background: transparent url(../images/_site-structure/dropdown-bg.png) top left repeat; padding: 0.5em 1em; display: none;}
		*:first-child+html #top-nav li.top-level ul {background: #61a3c4 url(../images/_site-structure/dropdown-bg.png) top left repeat;}
		#top-nav li.top-level ul, #top-nav li.top-level ul li {width: 9.1em;}
		#top-nav li.top-level ul li {}
		#top-nav li.top-level ul li, #top-nav li.top-level ul a {height: auto; border: none; background: none;}
		#top-nav li.top-level ul li a {display: block; padding: 4px;}
		#top-nav li.top-level ul .ret-wall-li a {padding: 2px 4px 2px 16px;}
		#top-nav li.top-level ul a:hover, #top-nav li.top-level ul a:active {background-image: url(../images/_site-structure/dropdown-bg-active.png); color: #000;}

			/* multi-level dropdowns*/
		#top-nav li ul ul {margin: -2.1em 0 0 10em;}
		#top-nav li:hover ul ul, #top-nav li:hover ul ul ul, #top-nav li.sfhover ul ul, #top-nav li.sfhover ul ul ul {display: none}

			/* show dropdowns on hover */
		#top-nav li:hover ul, #top-nav li li:hover ul, #top-nav li li li:hover ul, #top-nav li.sfhover ul, #top-nav li li.sfhover ul, #top-nav li li li.sfhover ul {display: block;}
		
	
	/* Content Area */
	#main-content-area {clear: both; margin-left: 28px; height: 620px; background: transparent url(../images/_site-structure/main-content-bg.gif) bottom left repeat-y; position: relative; z-index: 5;}
	#main-container > #main-content-area {min-height: 620px; height: auto;}
	#main-content-inner {position: relative; height: 620px;}
	#main-content-area > #main-content-inner {min-height: 620px; height: auto;}
	
	
		/* Persistent Gallery */
		#rotating-gallery {width: 908px; height: 175px; padding-bottom: 14px; background-color: rgb(70,139,172);}
		
		/* Left-Hand Content */
		#secondary-nav-wrapper {float: left; display: inline; height: 378px; background-color: rgb(1,77,111); }
		#main-content-inner > #secondary-nav-wrapper {min-height: 378px; height: auto;}
		#secondary-nav-wrapper, #secondary-nav, #secondary-nav li, #secondary-nav li a {width: 142px;}
			#secondary-nav li {border-bottom: 1px solid rgb(39,111,144); background: transparent url(../images/_site-structure/side-nav-gradient-active.gif) top left repeat-x;}
			#secondary-nav li.current, #secondary-nav li:hover, #secondary-nav li:active {border-color: rgb(253,219,62);}
			#secondary-nav li.gallery-li, #secondary-nav li.gallery-li:hover, #secondary-nav li.gallery-li:active {border-bottom: 1px solid rgb(39,111,144);}
			#secondary-nav li a {background: transparent url(../images/_site-structure/side-nav-gradient.gif) top left repeat-x; color: #fff;}
			#secondary-nav li a:hover, #secondary-nav li a:active, #secondary-nav li.current a {background: none; color: #000;}
			#secondary-nav li a:active {color:#fff;}
			
			/* Photo Gallery section */
			#secondary-nav .nav, #secondary-nav .sub-gallery-li, #secondary-nav .sub-gallery-li a {width: 116px;}
			#secondary-nav .nav {margin: 3px 4px 9px 22px; font-size: 12px; text-align: left; text-transform: capitalize; line-height: 1;}
			#secondary-nav .sub-gallery-li {text-align: left; margin-top: 5px;}
			#secondary-nav .sub-gallery-li, #secondary-nav .sub-gallery-li a{background-image: none; border: none;}
		 	#secondary-nav li.sub-gallery-li a {height: auto; line-height: 1; color:#fff;}
			#secondary-nav .ret-wall-li {margin: 2px 0 0 20px;}
			#secondary-nav .ret-wall-li, #secondary-nav .ret-wall-li a {width: 94px;}
			#secondary-nav .sub-gallery-li a:hover {color: rgb(252,204,62);}
			
	
		/* Right-Hand Content */
		#unique-page-content {float: left; display: inline; width: 706px; height: 378px; margin-left: 14px; padding: 13px 23px 0; background-color: rgb(64,64,64); font-size: 14px;}
		#main-content-inner > #unique-page-content {min-height: 378px; height: auto;}
		.first-paragraphs {padding-top: 1px;} /* just to make <p> margin-top work */
	
	
	#main-content-end {height: 41px;}
	
	/* Footer */
	#footer {margin: 3px 40px 0;}
	#footer a {color: rgb(252,204,62)}
	#footer p {font-size: 12px; margin: 0;}
	#footer #legal {float: left;}
	#footer #web-design-credit {float: right;}
	
	
/* PAGE SPECIFIC STYLES */
	
/* pages with right-floating image */
#Services #unique-page-content .img-w-caption, #Links #unique-page-content .img-w-caption, #Contact #unique-page-content .img-w-caption {float: right; margin: 14px 6px 0 18px;}
/* pages with leftt-floating image */
#About #unique-page-content .img-w-caption {float: left; margin: 14px 18px 0 0;}
	
/* Home Page */
#Services #unique-page-content .first-paragraphs {font-size: 16px;}
#company-desc {font-size: 13px; font-style: italic; line-height: 1.3; padding: 30px 24px 0;}


/* About */
#certifications {font-size: 14px;}
#certifications em {font-size: 12px;}

/* Photo Gallery */
	/* Index Page */
#gallery-index .img-w-caption {float: left; width: 205px; height: 148px; margin: 0;}
#gallery-index img {width: 156px; height: 104px;}
#gallery-index a:hover img {border-color: rgb(253,219,62);}
#gallery-index .img-w-caption .caption {line-height: 1; margin: 0 0 17px;}
	
	/* All other Gallery Pages */
#photo-gallery {text-align: center;}
#photo-gallery img {border: 1px solid #fff;}
#photo-gallery #placeholder-wrapper {width: 624px; height: 413px; margin: 0 auto 8px;}
#photo-gallery #placeholder {border-width: 2px;}

#imagelist, #imagelist li {list-style-type: none; margin:0; padding:0;}
#imagelist {padding-top: 18px;}
#imagelist li {float: left; margin: 0 3px;}
#imagelist li img {width: 92px;}


/* Links */
#links-list {margin-top: 14px; font-size: 16px;}
#links-list, #links-list li {list-style-type: none;}
#links-list li {margin-bottom: 13px;}


/* Contact */
#Contact form {margin-top: 24px}
#Contact form label {text-transform: lowercase; width: 4.2em; float: left;}
#Contact form #buttons {margin-top: 8px}
#Contact form #buttons input {margin-right: 10px;}

#Contact .form-errors {font-size: 11px; font-style: italic; line-height: 1.3; border: 1px solid #014d6f; background: #ccc; color: #700; width: 350px; padding: 6px 12px 10px;}
	#Contact .form-errors .error-wrapper {margin-left: 40px;}


/* Contact  - Thanks You page*/
#Contact h3 {font-size: 21px; width: 310px;}